package cd.casic.ci.process.process.service.sast;

import cd.casic.ci.process.dto.req.sast.SastApplicationCreateReq;
import cd.casic.ci.process.dto.req.sast.SastIdentifiedLanguageTaskReq;
import cd.casic.ci.process.dto.req.sast.SastReportCreateReq;
import cd.casic.ci.process.dto.resp.sast.*;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import jakarta.servlet.http.HttpServletResponse;

import java.io.File;
import java.util.List;

public interface SastService {
    String getToken();
    Boolean applicationExist(String applicationName);
    public SastFileUploadResp uploadFile(File multipartFile);
    public SastIdentifiedLanguageTaskResp createIdentifiedLanguageTask(SastIdentifiedLanguageTaskReq req);
    public SastIdentifiedLanguageTaskResp getIdentifiedLanguageTaskStatus(String taskId);
    List<SastEngineConfigResp> engineConfig(List<String> languageIdList);
    SastDetectionConfigResp detectionConfig(String languageId);
    SastApplicationCreateResp applicationCreate(SastApplicationCreateReq req);
    SastApplicationEchoResp getApplicationEcho(String applicationId);
    String reportIndex(SastReportCreateReq req);
    public String reportDownload(String reportId);
    public List<SastLanguageResp> language();
}
